CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

library not found Fedora 11

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   September 13, 2009, 09:04
Default library not found Fedora 11
  #1
New Member
 
Peter Knapen
Join Date: Sep 2009
Posts: 25
Rep Power: 7
peterk is on a distinguished road
Hello,
I am rather new to Linux.
I have succeeded in installing Qt4.3.5 in /usr/local/Trolltech and with qmake in that directory I have installed paraview3.6.1
I have added the lines
if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)
in the file paraview3.6.1/CMake, after a warning that these lines should be added, as some libraries would not be found.
with this version of CMake I have run ./Allwclean and ./Allwmake for building PV3Foamreader
However when I run the cavity example problem I get the following error message when running paraFoam:
/home/pk28831/OpenFOAM/ThirdParty-1.6/paraview-3.6.1/platforms/linux64Gcc/bin/paraview-real: error while loading shared libraries: libQtAssistantClient.so.4: cannot open shared object file: No such file or directory.

This shared library excists and is linked to
[pk28831@sys4 lib]$ ll libQtAssistantClient.so.4.3.5
-rwxr-xr-x. 1 root root 28504 2009-09-12 22:14 libQtAssistantClient.so.4.3.5

How can I solve this
Thanks in advance
Peter
peterk is offline   Reply With Quote

Old   September 14, 2009, 03:22
Default
  #2
Senior Member
 
Gijsbert Wierink
Join Date: Mar 2009
Posts: 383
Rep Power: 9
gwierink is on a distinguished road
Hi Peter,

I had to compile cmake-2.4.6 (from source) in order to be able to build Qt properly. Have a look at that, it may work for you as well.

Regards,

Gijs
gwierink is offline   Reply With Quote

Old   September 16, 2009, 02:06
Default Qt 4
  #3
New Member
 
Peter Knapen
Join Date: Sep 2009
Posts: 25
Rep Power: 7
peterk is on a distinguished road
Hi Gijs,
I have tried it but the result is the same. Is it possible that some environment variable has to be set? In the document of qt it is stated that the $PATH (/usr/local/.../Qt.. should be set via an export in the .profile file. However this file does not excist, there is a .bash-profile, but adding this line does not change $PATH, so I have put it in the .bashrc file.
Does it matter in which sequence everything is built? I stated with cmake, next OpenFoam, Qt and at last ParaView.
I have to make the changes overnight at home, thats why it takes some time .
Thanks,
Peter
peterk is offline   Reply With Quote

Old   September 17, 2009, 03:06
Default
  #4
Senior Member
 
Gijsbert Wierink
Join Date: Mar 2009
Posts: 383
Rep Power: 9
gwierink is on a distinguished road
Hi Peter,

I did things in the following order:

Unpack/compile OpenFOAM

Unpack and build Qt-4.3.5 in ~/tmp/

Export Qt by putting
Code:
PATH=/home/gijsbert/tmp/qt-x11-opensource-src-4.3.5/bin:$PATH 
export PATH
in ~/.bashrc

Source OpenFOAM in the shell by also adding
Code:
. $HOME/OpenFOAM/OpenFOAM-1.5-dev/etc/bashrc
to ~/.bashrc (notice the dot at the start of the line)

Source bashrc by
Code:
. $HOME/.bashrc
Then, (re)build ParaView by

Code:
cd $WM_THIRD_PARTY_DIR
Code:
rm -rf paraview-3.6.1/platforms
Code:
makeParaView
On some systems you also need to rebuild the reader:

Code:
cd $FOAM_UTILITIES/postProcessing/graphics/PV3FoamReader
Code:
./Allwclean
Code:
./Allwmake
Hope this helps.

Regards,

Gijs
gwierink is offline   Reply With Quote

Old   September 19, 2009, 16:42
Default binaries installed
  #5
New Member
 
Peter Knapen
Join Date: Sep 2009
Posts: 25
Rep Power: 7
peterk is on a distinguished road
Hi Gijs,
Also with your setup I did not succeed. At last I have removed the content of the paraview directory in ~/OpenFoam/Third_Party-1.6 and replaced it with the files I downloaded from the ParaView site. Also then I still got the same error message.
I also downloaded the binaries from this site. ParaView was running, but openFoam was not.
Then I copied all .so* files which were not found when running paraFoam to the directory /home/pk28831/OpenFOAM/ThirdParty-1.6/paraview-3.6.1/platforms/linux64Gcc/bin.
Now the system is working. I think the problem was that Qt....so.4 was linked to Qt..so.4.3.5.
Thanks for your support.
Best regards,
Peter
peterk is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems in compiling paraview in Suse 10.3 platform chiven OpenFOAM Installation 3 December 1, 2009 08:21
Problems Installing OF 1.6 32 bit bucksfan OpenFOAM Installation 19 August 4, 2009 01:36
Installation OF1.5-dev ttdtud OpenFOAM Installation 46 May 5, 2009 02:32
OpenFOAM15 installables are incomplete problem with paraFoam tryingof OpenFOAM Bugs 17 December 7, 2008 05:41
Regarding FoamX running Kindly help out hariya03 OpenFOAM Pre-Processing 0 April 18, 2008 04:26


All times are GMT -4. The time now is 21:53.